aboutsummaryrefslogtreecommitdiff
path: root/git-applypatch.sh
diff options
context:
space:
mode:
authorShawn Pearce <spearce@spearce.org>2006-05-19 05:16:18 -0400
committerJunio C Hamano <junkio@cox.net>2006-05-19 15:03:21 -0700
commit67644a4d77f55cd1c960d046079d26719f1e7cd6 (patch)
treed7b35c3a18c53c7b1fbf9991561edfaf0b5158f0 /git-applypatch.sh
parent7792cc2fa1574b66b69a38a816a9b4bdca5c3731 (diff)
downloadgit-67644a4d77f55cd1c960d046079d26719f1e7cd6.tar.gz
git-67644a4d77f55cd1c960d046079d26719f1e7cd6.tar.xz
Include ref log detail in commit, reset, etc.
When updating a ref at the direction of the user include a reason why head was changed as part of the ref log (assuming it was enabled). Signed-off-by: Shawn O. Pearce <spearce@spearce.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-applypatch.sh')
-rwxr-xr-xgit-applypatch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-applypatch.sh b/git-applypatch.sh
index 12cab1e0d..e4b09472e 100755
--- a/git-applypatch.sh
+++ b/git-applypatch.sh
@@ -204,7 +204,7 @@ echo Wrote tree $tree
parent=$(git-rev-parse --verify HEAD) &&
commit=$(git-commit-tree $tree -p $parent <"$final") || exit 1
echo Committed: $commit
-git-update-ref HEAD $commit $parent || exit
+git-update-ref -m "applypatch: $SUBJECT" HEAD $commit $parent || exit
if test -x "$GIT_DIR"/hooks/post-applypatch
then